##############  8.1   ############### 

eutad <- read.table("palmadulto.txt", header = T)
eutad

##1.2. Crie o objeto para guardar as distncias entre cada indivduo:
dist<-matrix(NA, ncol=102, nrow=102)
dist


##1.3. Calcule a distncia observada entre cada indivduo e guarde o resultados em dist:
  for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}
##1.4. Verifique o objeto dist e calcule o parmetro chamado de distncia mdia do vizinho mais prximo (MNN):
dist
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

##1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.
resultado<-rep(NA, 1000)
resultado

##1.6. Guarde o valor observado na primeira posio de resultado;
resultado[1]<-mnn
resultado

##1.7. Crie um ciclo com contador (k) que vai de 2 a 1000;
##1.8. Dentro do ciclo:
##1.8.1. Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal. Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado;
##1.8.2. Faa o mesmo que no passo anterior e guarde no objeto ysim;
##1.8.3. Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados;
##1.8.3. Crie os ciclos para o calculo das distncias como no tpico anterior;
##1.8.4. Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado;
##1.8.5. Feche o ciclo.

?runif
?round

for (k in 2:1000) 
{
    xsim<-round(runif(102,0,302),digits=1)
    ysim<-round(runif(102,0,302), digits=1)
    dist.xy=matrix(NA, ncol=102, nrow=102)
    for(i in 1:101)
    {
      for(j in (i+1):102)
      {
        difx2=(xsim[i]-xsim[j])^2
        dify2=(ysim[i]-ysim[j])^2
        dist.xy[i,j]<-sqrt(difx2 + dify2)
        dist.xy[j,i]<-sqrt(difx2 + dify2)
      }
    }
       resultado[k]<-mean(apply(dist.xy,1,min,na.rm=TRUE))
}

resultado

##1.9. Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na posio do valor observado

hist(resultado)
linha<-resultado[1]

?abline

abline(v=linha,col="red")

##1.10. Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor MNN observado.

p<- sum(resultado>=resultado[1]|resultado<=(resultado[1]*-1))/length(resultado) 
p

################   8.2   ################

massa<-read.table("animais.txt", sep=";", dec=",", header=TRUE)
massa
massa<- na.omit(massa)
massa

##2.1. Calcule a inclinao da relao log(brain) ~ log(body)

x<-log(massa$body)
x
y<-log(massa$brain)
y

B<-sum((x-mean(x))*(y-mean(y))/sum((x-mean(x))^2))
B

##2.2. Crie um vetor para guardar o resultado de simulaes;

result<- rep(NA,1000)

##2.3. Guarde o valor observado no objeto criado em 2.2;

result[1]<-B
result

##2.4. Abra um ciclo de 2 a 1000;
##2.5. Desordene o vetor brain e guarde no objeto sim_brain;
##2.6. Calcule a inclinao entre o log(sim_brain) ~ log(body) e guarde no vetor resultado;
##2.7. Feche o ciclo;

for (i in 2:1000)
{
  sim.brain<-sample(y)
  result[i]<-sum((x-mean(x))*(sim.brain-mean(sim.brain))/sum((x-mean(x))^2))
}

result

##2.8. Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao;  

hist(result)
abline(v=result[1], col="red")

##2.9. Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes

prob<- (sum(result>=result[1]) + sum(result<=result[1]*-1))/length(result) 
prob

