#Exercicio 1.

eutad=read.table("palmadulto.txt", sep = "", dec = ".", header = T, as.is = T)

dist=matrix(NA, ncol=102, nrow=102)


for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
} 


(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))



resultado=rep(NA,1000)

resultado[1]=mnn



for(k in 2:1000)
  
{ 
  xsim=round(runif(102,0,320),1)
  
  ysim=round(runif(102,0,320),1)
  
  sim.dados=data.frame(ysim,xsim)
  
  distancia= matrix(NA, 102,102)
  
  
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difsx2=(sim.dados$xsim[i]-sim.dados$xsim[j])^2
      difsy2=(sim.dados$ysim[i]-sim.dados$ysim[j])^2
      distancia[i,j]<-sqrt(difsx2 + difsy2)
      distancia[j,i]<-sqrt(difsx2 + difsy2)
    }
    
  }
  
  
  resultado[k]=mean(apply(distancia, 1, min, na.rm=TRUE))
}


par(mfrow=c(1,1))
res=resultado-mean(resultado)
hist(res)
abline(v=res[1],col="red")
abline(v=-res[1],col="red")

p=sum(res<=res[1]| res>=-res[1])/length(resultado)

###Exercicio 2

masa= read.table("animais.txt",sep=";", dec=",", as.is = T, header = T)
masa=na.omit(masa)

incl=sum(((log(masa$body)-log(mean(masa$body))*(log(masa$brain)-log(mean(masa$brain))))))/sum(((log(masa$body)-log(mean(masa$body)))^2))

coef(lm(log(brain)~log(body), data = masa))

res.simula= rep(NA, 1000)
res.simula[1]=incl

for(i in 2:1000)
{
  masa$sim_brain= sample(masa$brain)
  res.simula[i] <- coef(lm(log(sim_brain) ~ log(body), data=masa))[[2]]
  
}
hist(res.simula)
abline(v=res.simula[1], col="darkgreen")
p=sum(res.simula>=res.simula[1])/length(res.simula)
