explor=function(x,y)
{
  if(length(x)!=length(y))
  {stop("o nmero de dados nas vaiveis x e y devem ser iguais")}
  
  if(class(x)!="numeric"|class(y)!="numeric")
  {stop("as variveis devem ser vetores numricos")}
  
  par(mfrow=c(2,2))
  
  boxplot(x, main= "Varivel x")
  hist(x, ylab="Frequncia", main= "Varivel x")
  boxplot(y, main= "Varivel y")
  hist(y, ylab="Frequncia", main= "Varivel y")
  
  sumx=summary(x)
  sumy=summary(y)
  corxy=cor(x,y)
  
  ayuda=list(sumx,sumy,corxy)
  names(ayuda)=c("Sumario.x","Sumario.y","Corelacao. Pearson" )
  
  return(ayuda)
}