#Caixetais - Exerc. (Aula 3; Toturial 4)

###Douglas William Cirino###

#objeto caixeta lê a tabela de dados
caixeta <- read.table(file = "caixeta.csv", header = T, sep = ",", dec = ".", as.is=T)

##histograma do dap dos fustes dos caixetais.
#adiciona o calculo do DAP no nosso objeto
caixeta$dap<-2*(caixeta$cap/(2*pi))
#constrói o histograma
hist(caixeta$dap)

#histogramas da altura das árvores para os diferentes caixetais
par(mfrow=c(2,2))
caixeta$local=factor(caix$local)
hist(caixeta$h[caixeta$local=="chauas"],breaks = 20)
hist(caixeta$h[caixeta$local=="jureia"],breaks = 20)
hist(caixeta$h[caixeta$local=="retiro"],breaks = 20)
hist(caixeta$h,breaks = 20)


#Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?
#Sim! Jureia tem uma distribuição mais próxima de uma gaussiana, enquanto "chauas" tem uma longtail para direita. A quantidade de observações em Chauas é maior, levando a distribuição total a ser mais próxima do que observamos em chauas isolasamente. 


