## exercicio 7.2 ##

library(MASS)
data(Animals)

#ajustando modelo linear retirando dinossauros
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#ajustando modelo nulo
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#comparando os dois modelos
anova(anim.m0, anim.m2)

## respostas:
# 1 - o comando anova() de um modelo faz por si so a comparacao do modelo ajustado ao modelo nulo, assim o comando anova(anim.m2) e o comando anova(anim.m0, anim.m2) são convergentes

summary(anim.m0) # e o resumo do modelo nulo
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #media dos dados - retirando dinossauros
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #desvio padrao dos dados - retirando dinossauros

# 2 - uma vez que o modelo "anim.m0" é o modelo nulo, representado pela media dos dados, o seu resumo resulta apenas em um intercepto que é justamente a media dos dados. também por ser o modelo nulo, o desvio padrão dos dados é igual ao erro padrão dado pelo modelo.
