####### 9.2 Anlise exploratria simultnea de duas variveis #######

##Crie uma funo para sada grfica de anlises exploratrias de duas variveis. 
##Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. 
##A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). 
##Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. 
##As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas 
##variveis e o coeficiente de correlao.

a.exp<-function(x,y, graphic=TRUE, par=c(mar=c(4,4,2,2),xlim=range(x),ylim=range(y)))
{
  if(class(x)!="numeric" | class(y)!="numeric") 
  { 
    stop("Entrada dos dados devem ser dois vetores") 
  } 
  if (length(x)!=length(y)) 
  { 
    stop("Os vetores x e y devem ter o mesmo tamanho") 
  }
  par(mfrow=c(2,3), las=1, bty="l")
  boxplot(x,y,col=c("green","purple"), names=c("x","y"), ylab="") 
  plot(x,y, col=c("green","purple"), pch=16, cex=1.4, xlab="Varivel x", ylab="Varivel y")
  abline(lm(y~x), lwd=1, col="red")
  qqnorm(x, col="green", pch=16, cex=1.4, xlab= "Quantis tericos", ylab="Quantis amostrados")
  qqline(x, lwd=1, col="red")
  qqnorm(y, col="purple", pch=16, cex=1.4, xlab= "Quantis tericos", ylab="Quantis amostrados")  
  qqline(y, lwd=1, col="red")
  multhist(list(x,y), col=c("green","purple"), ylab="")
  legend("top", c("x", "y"),bty="n", pt.cex=0.5,fill=c("green", "purple"), horiz=FALSE)
  result<-list("Sumrio x"=summary(x), "Sumrio y"=summary(y), "Coef correlao"=cor(x,y))
  return(result)
}

#TESTE
x<-rnorm(1000,50)
y<-rnorm(1000,60)

a.exp(x,y)